Get Discovery Status
curl --request GET \
--url https://api.mindfort.app/v1/discovery \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/discovery"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/discovery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/discovery"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_type": "daily",
"scheduled_time": "<string>",
"day_of_week": 123,
"timezone": "<string>",
"is_active": true,
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_errored": true,
"error_message": "<string>"
},
"active_run": {
"run_id": "<string>",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"last_run": {
"run_id": "<string>",
"status": "start_failed",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"pending_count": 123,
"context_note": "<string>"
}Discovery
Get Discovery Status
GET
/
v1
/
discovery
Get Discovery Status
curl --request GET \
--url https://api.mindfort.app/v1/discovery \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/discovery"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/discovery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/discovery"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_type": "daily",
"scheduled_time": "<string>",
"day_of_week": 123,
"timezone": "<string>",
"is_active": true,
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_errored": true,
"error_message": "<string>"
},
"active_run": {
"run_id": "<string>",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"last_run": {
"run_id": "<string>",
"status": "start_failed",
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"pending_count": 123,
"context_note": "<string>"
}Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Was this page helpful?